<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>de.csbme.ifaxx.myfxproject</groupId> <!-- Package, in dem sich Projekt befindet -->
	<artifactId>jfxhello</artifactId>             <!-- Name des Projekts im Package -->
	<version>1.0-SNAPSHOT</version>               <!-- SNAPSHOT wird durch Datum ersetzt, bei Releases daher weglassen -->

	<properties>
		<java.version>17</java.version>           <!-- Version der JDK wird als Variable referenziert -->
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<main.class>de.csbme.ifaxx.myfxproject.App</main.class>
		<maven.compiler.source>${java.version}</maven.compiler.source>
		<maven.compiler.target>${java.version}</maven.compiler.target>
		<maven.compiler.release>${java.version}</maven.compiler.release>
	</properties>

	<description>An example JavaFX ${java.version} project</description>

	<dependencies>
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-controls</artifactId>
			<version>21.0.1</version>
		</dependency>
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter</artifactId>
			<version>5.10.1</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.openjfx</groupId>
				<artifactId>javafx-maven-plugin</artifactId>
				<version>0.0.8</version>
				<configuration>
					<mainClass>${main.class}</mainClass>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>